Skip to content
POST /unified/ecommerce/products

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

Response Body

idstring
required·

The unique identifier for a product

categoriesobject[]

The categories of a product

idstring

The unique identifier of a category of product

namestring

The name of category for product

created_atstring · date-time

The date and time when product was created

descriptionstring

The description of a product

imagesobject[]

The images of a product

idstring

The unique identifier of an image of a product

urlstring

The url of an image of product

inventory_quantitystring

The quantity of a product in stock

namestring

The name of a product

notesstring

The notes related to the product, if any.

optionsobject[]

The options of a product

idstring

The unique identifier of an option of a product

namestring

The name of option for product

valuesarray

The values of option for product

pricestring

The price of a product

remote_dataRecord<string, any>

Raw data returned from the remote API call.

skustring

The sku of a product

statusstring

The status of a product. If no clear mapping exists, then raw value is returned.

Possible values:
activeinactive
tagsstring[]

The tags of a product

updated_atstring · date-time

The date and time when product was updated

variantsobject[]

The options of a product

idstring

The unique identifier of a variant of a product

imagesobject[]

The images for variant

2 properties
idstring

The unique identifier for image of variant

urlstring

The url of image of variant

inventory_quantitystring

The quantity of variant for product in stock

namestring

The name of variant for product

optionsobject[]

The options for variant

3 properties
idstring

The unique identifier for option of variant

namestring

The name for option of variant

valuestring

The value for option of variant

pricestring

The price of variant for product

skustring

The sku of variant for product

weightstring

The weight of variant

weightstring

The weight of a product

weight_unitstring

The weight unit of a product

curl -X POST 'https://api.truto.one/unified/ecommerce/products?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/ecommerce/products?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ecommerce/products"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.create(
  'ecommerce',
  'products',
  {
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.create(
        "ecommerce",
        "products",
        {
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())